NX Open C++ Reference Guide
|
The builder for designing guide lines in Mold Wizard. More...
Public Types | |
enum | DirectionType { DirectionTypeNormal, DirectionTypeTangential, DirectionTypeSnaptoWCSAxis, DirectionTypeVector } |
The type of direction for the guide line to be created. More... | |
Public Member Functions | |
void | AutoCreateGuideLines () |
Button for creating guide lines automatically at locations where there are not exactly two parting lines are connecting. | |
NXOpen::Curve * | CreateGuideLine (NXOpen::Curve *partingLineTag, const NXOpen::Point3d &closePoint, double length, int *created) |
Create a guide line given a parting line and coordinates close to one of its end points. | |
void | DeleteAllGuideLines () |
Button for deleting all the guide lines. | |
void | DeleteGuideLine (NXOpen::Curve *guideLine) |
Delete a given guide line. | |
void | DeleteSelectedGuideLine () |
Button for deleting the selected guide line. | |
NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType | GuideDirection () |
Returns the direction type for creating or editing the guide line. | |
NXOpen::Expression * | GuideLength () |
Returns the length for the guide line. | |
NXOpen::SelectCurve * | GuideOrPartingLine () |
Returns the guide line or parting line. | |
NXOpen::Direction * | GuideVector () |
Returns the vector for the guide line. | |
void | SetGuideDirection (NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType guideDirection) |
Sets the direction type for creating or editing the guide line. | |
void | SetGuideVector (NXOpen::Direction *guideVector) |
Sets the vector for the guide line. | |
void | SetSnapAngleLimit (double snapAngleLimit) |
Sets the snap angle limit for snapping the guide line direction to one of the WCS axis. | |
double | SnapAngleLimit () |
Returns the snap angle limit for snapping the guide line direction to one of the WCS axis. | |
void | UpdateGuideLineDirection (NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType directionType, NXOpen::Curve *guideLine) |
Update the guide line with a new direction. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
The builder for designing guide lines in Mold Wizard.
To create a new instance of this class, use Tooling::MWDesignGuideLinesCollection::CreateBuilder
Default values.
Property | Value |
---|---|
GuideDirection |
Normal |
GuideLength.Value |
0 (millimeters part), 0 (inches part) |
SnapAngleLimit |
30 |
Created in NX7.5.0.
The type of direction for the guide line to be created.
DirectionTypeNormal |
Normal. |
DirectionTypeTangential |
Tangential. |
DirectionTypeSnaptoWCSAxis |
Snap to WCS axis. |
DirectionTypeVector |
Specify Vector. |
void NXOpen::Tooling::MWDesignGuideLinesBuilder::AutoCreateGuideLines | ( | ) |
Button for creating guide lines automatically at locations where there are not exactly two parting lines are connecting.
Created in NX7.5.0.
License requirements : None
NXOpen::Curve* NXOpen::Tooling::MWDesignGuideLinesBuilder::CreateGuideLine | ( | NXOpen::Curve * | partingLineTag, |
const NXOpen::Point3d & | closePoint, | ||
double | length, | ||
int * | created | ||
) |
Create a guide line given a parting line and coordinates close to one of its end points.
If there is an existing guide line at the same location, a new one will not be created and the existing guide line will be returned. @return Existing or newly created guide line
Created in NX7.5.0.
License requirements : None
partingLineTag | Parting line on which a guide line will be placed |
closePoint | Point close to one of the end points of the parting line |
length | Length of the guide line to be created |
created | 1 if a guide line has been created, or 0 if existing guide line is returned |
void NXOpen::Tooling::MWDesignGuideLinesBuilder::DeleteAllGuideLines | ( | ) |
Button for deleting all the guide lines.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::MWDesignGuideLinesBuilder::DeleteGuideLine | ( | NXOpen::Curve * | guideLine | ) |
Delete a given guide line.
Created in NX7.5.0.
License requirements : None
guideLine | Guide line |
void NXOpen::Tooling::MWDesignGuideLinesBuilder::DeleteSelectedGuideLine | ( | ) |
Button for deleting the selected guide line.
Created in NX7.5.0.
License requirements : None
NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType NXOpen::Tooling::MWDesignGuideLinesBuilder::GuideDirection | ( | ) |
Returns the direction type for creating or editing the guide line.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::MWDesignGuideLinesBuilder::GuideLength | ( | ) |
Returns the length for the guide line.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Tooling::MWDesignGuideLinesBuilder::GuideOrPartingLine | ( | ) |
Returns the guide line or parting line.
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::MWDesignGuideLinesBuilder::GuideVector | ( | ) |
Returns the vector for the guide line.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::MWDesignGuideLinesBuilder::SetGuideDirection | ( | NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType | guideDirection | ) |
Sets the direction type for creating or editing the guide line.
Created in NX7.5.0.
License requirements : None
guideDirection | guidedirection |
void NXOpen::Tooling::MWDesignGuideLinesBuilder::SetGuideVector | ( | NXOpen::Direction * | guideVector | ) |
Sets the vector for the guide line.
Created in NX7.5.0.
License requirements : None
guideVector | guidevector |
void NXOpen::Tooling::MWDesignGuideLinesBuilder::SetSnapAngleLimit | ( | double | snapAngleLimit | ) |
Sets the snap angle limit for snapping the guide line direction to one of the WCS axis.
Created in NX7.5.0.
License requirements : None
snapAngleLimit | snapanglelimit |
double NXOpen::Tooling::MWDesignGuideLinesBuilder::SnapAngleLimit | ( | ) |
Returns the snap angle limit for snapping the guide line direction to one of the WCS axis.
Created in NX7.5.0.
License requirements : None
void NXOpen::Tooling::MWDesignGuideLinesBuilder::UpdateGuideLineDirection | ( | NXOpen::Tooling::MWDesignGuideLinesBuilder::DirectionType | directionType, |
NXOpen::Curve * | guideLine | ||
) |